org.apache.commons.math3.optimization

## Class DifferentiableMultivariateVectorMultiStartOptimizer

- java.lang.Object
- - org.apache.commons.math3.optimization.BaseMultivariateVectorMultiStartOptimizer<DifferentiableMultivariateVectorFunction>
  - - org.apache.commons.math3.optimization.DifferentiableMultivariateVectorMultiStartOptimizer

- All Implemented Interfaces:
    BaseMultivariateVectorOptimizer<DifferentiableMultivariateVectorFunction>, BaseOptimizer<PointVectorValuePair>, DifferentiableMultivariateVectorOptimizer

  Deprecated.
  As of 3.1 (to be removed in 4.0).

      @Deprecated
      public class DifferentiableMultivariateVectorMultiStartOptimizer
      extends BaseMultivariateVectorMultiStartOptimizer<DifferentiableMultivariateVectorFunction>
      implements DifferentiableMultivariateVectorOptimizer

  Special implementation of the `DifferentiableMultivariateVectorOptimizer` interface addind multi-start features to an existing optimizer. This class wraps a classical optimizer to use it several times in turn with different starting points in order to avoid being trapped into a local extremum when looking for a global one.
  Since:
    2.0
  Version:
    $Id: DifferentiableMultivariateVectorMultiStartOptimizer.java 1422230 2012-12-15 12:11:13Z erans $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DifferentiableMultivariateVectorMultiStartOptimizer(DifferentiableMultivariateVectorOptimizer optimizer, int starts, RandomVectorGenerator generator)` Deprecated. Create a multi-start optimizer from a single-start optimizer.

  - ### Method Summary

    - ### Methods inherited from class org.apache.commons.math3.optimization.BaseMultivariateVectorMultiStartOptimizer

      `getConvergenceChecker, getEvaluations, getMaxEvaluations, getOptima, optimize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.commons.math3.optimization.BaseMultivariateVectorOptimizer

      `optimize`

    - ### Methods inherited from interface org.apache.commons.math3.optimization.BaseOptimizer

      `getConvergenceChecker, getEvaluations, getMaxEvaluations`

- - ### Constructor Detail

    - #### DifferentiableMultivariateVectorMultiStartOptimizer

          public DifferentiableMultivariateVectorMultiStartOptimizer(DifferentiableMultivariateVectorOptimizer optimizer,
                                                             int starts,
                                                             RandomVectorGenerator generator)

      Deprecated.
      Create a multi-start optimizer from a single-start optimizer.
      Parameters:
        `optimizer` - Single-start optimizer to wrap.
        `starts` - Number of starts to perform (including the first one), multi-start is disabled if value is less than or equal to 1.
        `generator` - Random vector generator to use for restarts.

Copyright (c) 2003-2013 Apache Software Foundation